Skip to content
API Reference

Retrieve

organizations.service_accounts.retrieve(strservice_account_id, ServiceAccountRetrieveParams**kwargs) -> ServiceAccount
GET/organizations/{organization_id}/service-accounts/{service_account_id}

Get a specific service account

ParametersExpand Collapse
organization_id: str

Organization ID or label identifier

minLength1
maxLength255
service_account_id: str

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
expand: Optional[List[Literal["permissions"]]]

Fields to expand in the response. Currently supports "permissions" to include the permissions field with the caller's permissions for the resource.

x_client_request_id: Optional[str]
formatuuid
ReturnsExpand Collapse
class ServiceAccount:
id: str

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
created_at: datetime

The time the entity was created in utc

formatdate-time
name: str

A name for the entity to be displayed in UI

updated_at: datetime

The time the entity was mostly recently updated in utc

formatdate-time
description: Optional[str]

Optional description of the service account

permissions: Optional[Dict[str, Dict[str, bool]]]

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Retrieve

from keycardai_api import KeycardAPI

client = KeycardAPI()
service_account = client.organizations.service_accounts.retrieve(
    service_account_id="ab3def8hij2klm9opq5rst7uvw",
    organization_id="x",
)
print(service_account.id)
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "created_at": "2019-12-27T18:11:19.117Z",
  "name": "name",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}
Returns Examples
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "created_at": "2019-12-27T18:11:19.117Z",
  "name": "name",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}